Create file translations
Creates file_translation records for one or more languages. Skips records that already exist. Requires `canEditTranslations` permission.
Supabase Auth session cookie. Automatically set when users log in via the Movabase web app.
In: cookie
Path Parameters
Project ID
uuidRequest Body
application/json
File name (max 256 chars)
length <= 256Languages to create file translations for
Response Body
application/json
curl -X POST "https://app.movabase.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/files" \ -H "Content-Type: application/json" \ -d '{ "fileName": "string", "languages": [ { "code": "string", "name": "string", "emoji": "string" } ] }'{
"files": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
"file_name": "string",
"language": "string",
"language_name": "string",
"language_emoji": "string"
}
]
}Create API key
Creates a new API key via Unkey. The full key is returned **only once** and cannot be retrieved again. Requires `canEditProjects` permission. API keys are prefixed with `loko_`.
Create translation
Creates a new translation key with values for one or more languages. Auto-creates file_translation records if they don't exist. Restores soft-deleted entries when possible. Requires `canEditTranslations` permission.